summaryrefslogtreecommitdiff
path: root/buildbot/bootstrap-scripts/bootstrap-codespell
diff options
context:
space:
mode:
Diffstat (limited to 'buildbot/bootstrap-scripts/bootstrap-codespell')
-rwxr-xr-xbuildbot/bootstrap-scripts/bootstrap-codespell51
1 files changed, 51 insertions, 0 deletions
diff --git a/buildbot/bootstrap-scripts/bootstrap-codespell b/buildbot/bootstrap-scripts/bootstrap-codespell
new file mode 100755
index 0000000..44d4db3
--- /dev/null
+++ b/buildbot/bootstrap-scripts/bootstrap-codespell
@@ -0,0 +1,51 @@
+#!/bin/bash
+
+# Bootstrap the Taler setup for the user account that
+# is currently logged in.
+
+# Generates a setup for a single user,
+# including a postgresql DB.
+
+set -eu
+
+BRANCH=master
+REPOS="libmicrohttpd gnunet"
+
+cd $HOME
+
+pip3 install --user codespell
+
+for component in $REPOS; do
+ if ! test -d $HOME/$component; then
+ git clone git://git.gnunet.org/$component.git
+ fi
+done
+for component in $REPOS; do
+ echo "Checking out $component to $BRANCH"
+ git -C $HOME/$component checkout $BRANCH
+done
+
+REPOS="exchange merchant wallet-core sync anastasis bank twister"
+
+for component in $REPOS; do
+ if ! test -d $HOME/$component; then
+ git clone git://git.taler.net/$component.git
+ fi
+done
+
+for component in $REPOS; do
+ echo "Checking out $component to $BRANCH"
+ git -C $HOME/$component checkout $BRANCH
+done
+
+if [[ ! -d worker ]]; then
+ buildbot-worker create-worker --umask=0o22 ~/worker localhost:9989 codespell-worker codespell-pass
+fi
+
+mkdir -p ~/.config/systemd/user/
+cp systemd-services/buildbot-worker-doc.service ~/.config/systemd/user/
+
+systemctl --user daemon-reload || echo "Please use 'machinectl shell codespell@.host' to log in to use this script"
+
+systemctl --user enable buildbot-worker-doc.service
+systemctl --user start buildbot-worker-doc.service